
package com.example.loan_approval.wsdl;

import java.math.BigInteger;
import javax.jws.WebService;

@WebService(
    endpointInterface="com.example.loan_approval.wsdl.RiskAssessmentPT",
    targetNamespace = "http://example.com/loan-approval/wsdl/",
    serviceName="riskAssessor",
    portName="riskAssessor_Port")
public class RiskAssessmentPTImpl implements RiskAssessmentPT {

  public String check(
      String firstName,
      String name,
      BigInteger amount)
      throws ErrorMessage {
    System.out.println("\nRiskAssessmentPTImpl");
    System.out.println("*************************************************");
    System.out.println("firstName Parameter: " + firstName );
    System.out.println("name Parameter: " + name );
    System.out.println("amount Parameter: " + amount );
    System.out.println("*************************************************");
    System.out.println("\n");

    if (amount.intValue() <= 10000)
      return "low";
    else
      return "high";
  }

}
